Package com.independentsoft.office.vml

# Enum Class ScriptLanguage

java.lang.Object
java.lang.Enum<ScriptLanguage>
com.independentsoft.office.vml.ScriptLanguage

All Implemented Interfaces:
  `Serializable`, `Comparable<ScriptLanguage>`, `Constable`

public enum ScriptLanguage extends Enum<ScriptLanguage>
The Enum ScriptLanguage.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASP`
  `JAVA`
  `NONE`
  `OTHER`
  `VISUAL_BASIC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ScriptLanguage`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ScriptLanguage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JAVA

    public static final ScriptLanguage JAVA

  - ### VISUAL_BASIC

    public static final ScriptLanguage VISUAL_BASIC

  - ### ASP

    public static final ScriptLanguage ASP

  - ### OTHER

    public static final ScriptLanguage OTHER

  - ### NONE

    public static final ScriptLanguage NONE

- ## Method Details

  - ### values

    public static ScriptLanguage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ScriptLanguage valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null